Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 693317 - Review Request: emacs-flim - Basic library for handling email messages for Emacs
Summary: Review Request: emacs-flim - Basic library for handling email messages for Emacs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: notready
: 658338 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-04-04 10:18 UTC by Michel Alexandre Salim
Modified: 2013-02-19 10:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 10:43:36 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2011-04-04 10:18:26 UTC
Spec: http://salimma.fedorapeople.org/specs/devtools/emacs-flim.spec
SRPM:
http://salimma.fedorapeople.org/specs/devtools/emacs-flim-1.14.9-3.fc15.src.rpm
Description:

 FLIM is a library to provide basic features about message representation and
 encoding for Emacs.

This is a reworking of the original flim package, complying with the new Emacs packaging guidelines. Also, xemacs support has been dropped since emacs-apel, which this depends on, no longer supports it either.

Comment 1 Michel Alexandre Salim 2011-04-04 10:19:29 UTC
*** Bug 658338 has been marked as a duplicate of this bug. ***

Comment 2 Jens Petersen 2011-04-05 01:53:50 UTC
Taking this rename review.

Comment 3 Jens Petersen 2011-05-12 04:42:34 UTC
Sorry for the long delay, finally had a chance to look at the package.

I think xemacs-w3m still requires flim-xemacs so
it would be better to keep xemacs support and rename
this package to emacs-common-flim and let xemacs-flim
obsolete and provide flim-xemacs.

Comment 4 Jens Petersen 2011-06-24 01:19:36 UTC
Another ping

Comment 5 Michel Alexandre Salim 2011-08-01 00:44:59 UTC
Been busy; apologies. Will try and take a look in the next couple of days.

Not sure how xemacs support would work, if flim requires apel and apel no longer supports xemacs -- I'll have to give this some testing.

Comment 6 Jens Petersen 2011-09-02 05:09:54 UTC
(In reply to comment #5)
> Not sure how xemacs support would work, if flim requires apel and apel no
> longer supports xemacs -- I'll have to give this some testing.

xemacs-packages-extra provides apel-xemacs at least.

Since flim is only needed by emacs-w3m, I also asked Tagoh-san
if he is interested in owning emacs-common-flim.

Comment 7 Akira TAGOH 2011-09-02 05:30:25 UTC
(In reply to comment #6)
> xemacs-packages-extra provides apel-xemacs at least.

That's true. this is why emacs-apel doesn't provide a subpackage for xemacs to avoid the conflict. anyway, that change has been mode some years ago though.

> Since flim is only needed by emacs-w3m, I also asked Tagoh-san
> if he is interested in owning emacs-common-flim.

I don't mind either. I'm not keen to keep the owner of emacs-w3m either, because I rarely use it these days.

Comment 8 Miroslav Suchý 2012-12-16 13:22:28 UTC
Ping? Any progress here? Or we can close this review?

Comment 9 Miroslav Suchý 2013-02-19 10:43:36 UTC
Stalled Review. Closing per:
https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
If you ever want to continue in this review, please reopen or
submit new review.


Note You need to log in before you can comment on or make changes to this bug.